Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.web.jcr.rest.client
Enum Status.Severity

    java.lang.Object
      java.lang.Enum<Status.Severity>
          org.modeshape.web.jcr.rest.client.Status.Severity

All Implemented Interfaces:
  Serializable, Comparable<Status.Severity>

Enclosing class:
  Status

    public static enum Status.Severity

extends Enum<Status.Severity>

The status severity levels.

Enum Constant Summary
`ERROR` Indicates an error status.
`INFO` Indicates an informational status.
`OK` Indicates an OK status.
`UNKNOWN` Indicates an unknown status.
`WARNING` Indicates a warning status.

Method Summary
`static Status.Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final Status.Severity ERROR

  Indicates an error status.

### INFO

    public static final Status.Severity INFO

  Indicates an informational status.

### OK

    public static final Status.Severity OK

  Indicates an OK status.

### UNKNOWN

    public static final Status.Severity UNKNOWN

  Indicates an unknown status. This is automatically assigned if status is constructed with a `null` severity.

### WARNING

    public static final Status.Severity WARNING

  Indicates a warning status.

Method Detail

### values

    public static Status.Severity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Status.Severity c : Status.Severity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Status.Severity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.